package com.huiju.estateagents.activity.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huiju.estateagents.activity.entity.Activity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface ActivityMapper {
	List<Activity> getActivityList(Page pg, @Param("orgId") Integer orgId,@Param("status") Integer status,@Param("cityId") Integer cityId);
	
	/**
	 * 获取客户参与的活动列表
	 * @param pg
	 * @param orgId
	 * @param personId
	 * @return
	 */
	List<Map<String,Object>> getCustomerActivityList(Page pg,@Param("orgId") Integer orgId,@Param("personId") String personId);
}
