package com.huiju.estateagents.activity.service;

import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaPerson;

public interface ActivityServiceI {
	
	/**
	 * 获取三个活动
	 * @param pageNumber
	 * @param pageSize
	 * @param orgId
	 * @param person
	 * @return
	 */
	ResponseBean getActivityList(Integer pageNumber, Integer pageSize, Integer orgId, TaPerson person,Integer cityId);
	
	/**
	 * 获取客户参加的活动信息
	 * @param pageNumber
	 * @param pageSize
	 * @param orgId
	 * @param person
	 * @return
	 */
	ResponseBean getCustomerActivityList(Integer pageNumber, Integer pageSize, Integer orgId, TaPerson person);
}
