package com.huiju.estateagents.center.taUser.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 按钮路由映射表 
 * </p>
 *
 * @author jobob
 * @since 2019-09-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaButtonUriMap implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 按钮
     */
    private String buttonCode;

    /**
     * uri
     */
    private String uri;

    /**
     * 说明
     */
    private String remark;


}
