package com.huiju.estateagents.center.taUser.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huiju.estateagents.center.taUser.entity.TaButtonUriMap;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 按钮路由映射表  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-09-26
 */
@Mapper
public interface TaButtonUriMapMapper extends BaseMapper<TaButtonUriMap> {
	
	TaButtonUriMap getByURI(@Param("uri") String uri);
}
