package com.huiju.estateagents.drainage.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 引流记录表 全网引流记录表
 * </p>
 *
 * @author jobob
 * @since 2019-10-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_drainage_record")
public class TaDrainageRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "drainage_record_id", type = IdType.AUTO)
    private Integer drainageRecordId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 引流项目Id
     */
    private String drainageId;

    /**
     * 记录内容 json字符串
     */
    private String content;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 姓名
     */
    private String userName;


}
