package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author jobob
 * @since 2019-11-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_building_map_relation")
public class TaBuildingMapRelation implements Serializable {

    @TableId(value = "map_id", type = IdType.AUTO)
    private Integer mapId;

    private static final long serialVersionUID = 1L;

    private String buildingId;

    private Integer orgId;

    private String types;

    private String data;

    private String label;

    @TableField(value = "`key`")
    private String key;

    private Integer status;

    private LocalDateTime createDate;


}
