package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *  
 * </p>
 *
 * @author jobob
 * @since 2019-09-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_channel_person")
public class TaChannelPerson implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "channel_person_id", type = IdType.AUTO)
    private Integer channelPersonId;

    /**
     * 人员id
     */
    private String personId;

    /**
     * 渠道id
     */
    private Integer channelId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    private Integer status;


}
