package com.huiju.estateagents.entity;

import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 客户映射人员 
 * </p>
 *
 * @author jobob
 * @since 2019-08-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaCustomerPerson implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 人员ID
     */
    private String personId;

    /**
     * 客户ID
     */
    private String customerId;


}
