package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 点赞表
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaFavor implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 赞ID
     */
    @TableId(value = "favor_id", type = IdType.AUTO)
    private Integer favorId;

    /**
     * 点赞人
     */
    private String personId;

    /**
     * 名称
     */
    private String nameOrnick;

    /**
     * 头像
     */
    private String photoOravatar;

    /**
     * 被赞对象
     */
    private String beFavor;

    /**
     * 对象类型
     */
    private String tagertType;

    /**
     * 点赞时间
     */
    private LocalDateTime createDate;


}
