package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *  
 * </p>
 *
 * @author jobob
 * @since 2019-10-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaShareChildRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 参与拼团id
     */
    @TableId(value = "child_record_id", type = IdType.AUTO)
    private Integer childRecordId;

    /**
     * 拼团id
     */
    private Integer recordId;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 活动id
     */
    private Integer groupActivityId;

    /**
     * 拼团者id
     */
    private String personId;

    /**
     * 拼团者姓名
     */
    private String nickname;

    /**
     * 拼团者手机号
     */
    private String phone;

    /**
     * 拼团者头像
     */
    private String avatarurl;

    /**
     * 拼团时间
     */
    private LocalDateTime createTime;

    /**
     * 成团时间
     */
    private LocalDateTime endTime;

    /**
     * 拼团状态 0：拼团成功 1：进行中 2：拼团失败
     */
    private Integer status;

    /**
     * 核销状态
     */
    private Integer verificationStatus;

    /**
     * 核销码
     */
    private String verificationCode;


}
