package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *  
 * </p>
 *
 * @author jobob
 * @since 2019-09-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_share_content")
public class TaShareContent implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 分享内容id
     */
    @TableId(value = "share_content_id", type = IdType.AUTO)
    private Integer shareContentId;

    /**
     * 分享内容模板
     */
    private String shareContentModel;

    /**
     * 目标id
     */
    private String targetId;

    /**
     * 分享标题
     */
    private String shareContentTitle;

    /**
     * 分享图片
     */
    private String shareContentImg;

    /**
     * 分享内容类型
     */
    private String shareContentType;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;


}
