package com.huiju.estateagents.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.estateagents.entity.HelpInitiateRecord;
import com.huiju.estateagents.entity.HelpRecord;
import com.huiju.estateagents.excel.HelpRecordExport;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 助力活动助力人员记录  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-10-17
 */
@Mapper
public interface HelpRecordMapper extends BaseMapper<HelpRecord> {

    IPage<HelpRecord> taHelpRecordDetails(IPage<HelpInitiateRecord> pg, @Param("helpRecordInitiateId") Integer helpRecordInitiateId);

    /**
     * 助力记录者
     * @param i
     * @param pageSize
     * @param helpRecordInitiateId
     * @return
     */
    List<HelpRecordExport> getHelpRecordExportList(@Param("pageCode") int i, @Param("pageSize") Integer pageSize, @Param("helpRecordInitiateId") Integer helpRecordInitiateId);
}
