package com.huiju.estateagents.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.estateagents.entity.TaChannel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *   Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-09-17
 */
@Mapper
public interface TaChannelMapper extends BaseMapper<TaChannel> {

    /**
     * 渠道码
     * @return
     */
    int channelCode();

    /**
     * 渠道页面下拉列表的所有数据
     * @return
     */
    List<TaChannel> selectChannelList(@Param("orgId")Integer orgId);

    /**
     * 渠道列表
     * @param pg
     * @return
     */
    IPage<TaChannel> pageTaChannel(IPage<TaChannel> pg,@Param("orgId")Integer orgId,@Param("channelId")Integer channelId);
}
