package com.huiju.estateagents.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.estateagents.entity.TaCheckin;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;

/**
 * <p>
 *   Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-07-24
 */
@Mapper
public interface TaCheckinMapper extends BaseMapper<TaCheckin> {
    IPage<TaCheckin> getCheckinCustomerList(IPage<TaCheckin> pg, @Param("activity")String activity, @Param("status") Integer status, @Param("checkinTime") LocalDateTime checkinTime);
    Integer isCustomerChecked(@Param("activity")String activity,@Param("personId")String personId);

}
