package com.huiju.estateagents.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.estateagents.entity.TaShareChildRecord;
import com.huiju.estateagents.excel.ShareChildRecordExport;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *   Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-10-18
 */
@Mapper
public interface TaShareChildRecordMapper extends BaseMapper<TaShareChildRecord> {
    IPage<TaShareChildRecord> getList(IPage<TaShareChildRecord> pg, @Param("groupActivityId") Integer groupActivityId, @Param("status") Integer status, @Param("recordId") Integer recordId, @Param("orgId") Integer orgId);
    List<ShareChildRecordExport> getShareRecordExportList(@Param("pageCode") Integer pageCode, @Param("pageSize") Integer pageSize, @Param("recordId") Integer recordId , @Param("status")Integer status, @Param("groupActivityId") Integer groupActivityId);
    void updateEndGroupActivity();
    void updateActivityProcessToEndByGroupActivityId(@Param("groupActivityId") Integer groupActivityId);
}
