package com.huiju.estateagents.mapper;

import com.huiju.estateagents.entity.TaUv;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 用户访问表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
@Mapper
public interface TaUvMapper extends BaseMapper<TaUv> {
    List<Map<String,Object>> getLastVisitors(@Param("tagertType") String tagertType, @Param("personId") String personId, @Param("limit") int limit);
}
