package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.HelpInitiateRecord;

import java.util.List;

/**
 * <p>
 * 助力活动发起人员记录  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-10-17
 */
public interface IHelpInitiateRecordService extends IService<HelpInitiateRecord> {
	
	/**
	 * 分页获取我的助力数据
	 * @param pageNum
	 * @param pageSize
	 * @param orgId
	 * @param personId
	 * @return
	 */
	ResponseBean getInitiateRecord(Integer pageNum, Integer pageSize, Integer orgId, String personId);

	void updateHelpActivityProcessToEnd();
}
