package com.huiju.estateagents.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.entity.TaPoster;

import java.util.List;

/**
 * <p>
 * 分享海报表  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-09-21
 */
public interface TaPosterService extends IService<TaPoster> {

    List<TaPoster> getPostersForTarget(String targetId,String targetType);
	
	/**
	 * 获取海报和已使用的海报模板
	 * @param targetId
	 * @param targetType
	 * @return
	 */
	TaPoster getUsedPostersForTarget(String targetId, String targetType);
}
