package com.huiju.estateagents.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.estateagents.entity.SysButtonInMenu;
import com.huiju.estateagents.entity.TaRoleButton;
import com.huiju.estateagents.mapper.SysButtonInMenuMapper;
import com.huiju.estateagents.service.ISysButtonInMenuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 菜单按钮表  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-09-11
 */
@Service
public class SysButtonInMenuServiceImpl extends ServiceImpl<SysButtonInMenuMapper, SysButtonInMenu> implements ISysButtonInMenuService {
	
	@Autowired
	private SysButtonInMenuMapper sysButtonInMenuMapper;
	
	@Override
	public List<SysButtonInMenu> getButtonList(Integer roleId) {
		return sysButtonInMenuMapper.getButtonList(roleId);
	}
}
