package com.huiju.estateagents.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.estateagents.entity.TaCheckin;
import com.huiju.estateagents.mapper.TaCheckinMapper;
import com.huiju.estateagents.service.ITaCheckinService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * <p>
 *   服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-07-24
 */
@Service
public class TaCheckinServiceImpl extends ServiceImpl<TaCheckinMapper, TaCheckin> implements ITaCheckinService {
    @Autowired
    TaCheckinMapper taCheckinMapper;

    @Override
    public IPage<TaCheckin> getCheckinCustomerList(IPage<TaCheckin> pg, String activity, Integer status, LocalDateTime dayBegin){
        return taCheckinMapper.getCheckinCustomerList(pg, activity, status, dayBegin);
    }

    @Override
    public Integer isCustomerChecked(String activity,String personId){
        return taCheckinMapper.isCustomerChecked(activity,personId);
    }

}
