package com.huiju.estateagents.third.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *  
 * </p>
 *
 * @author jobob
 * @since 2019-10-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_third_party_miniapp_config")
public class TaThirdPartyMiniappConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "config_id", type = IdType.AUTO)
    private Integer configId;

    /**
     * appid
     */
    private String appid;

    /**
     * app_secret
     */
    private String appSecret;

    /**
     * 目标类型
     */
    private String targetType;

    /**
     * 目标id
     */
    private String targetId;

    /**
     * 公司id
     */
    private Integer orgId;
    
    /**
     * 过期时间
     */
    private LocalDateTime expirationDate;
}
