package com.huiju.estateagents.activity.entity;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author FXF
 * @date 2019-10-21
 */
@Data
public class Activity {

	private Object id;
	
	private String mainImg;
	
	private String title;
	
	private LocalDateTime startDate;
	
	private LocalDateTime endDate;
	
	private Integer weight;
	
	/**
	 *  0：进行中 1：未开始 2：已结束 3：已参与（微信端用）
	 */
	private Integer activityStatus;
	
	private String type;
	
	/**
	 * 完成数量
	 */
	private Integer successNum;
}
