package com.huiju.estateagents.base;

import com.huiju.estateagents.common.JWTUtils;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * @author FXF
 * @date 2018-12-18
 */
public class BaseController {
	
	/**
	 * 获取orgId
	 * @param request
	 * @return
	 */
	public Integer getOrgId(HttpServletRequest request){
		
		Map map = JWTUtils.getUserIdAndOrgId(request);
		if (null != map && null != map.get("orgId")){
			return Integer.valueOf(map.get("orgId").toString());
		}
		
		return null;
	}

	public String getOpenId(HttpServletRequest request){

		Map map = JWTUtils.getUserIdAndOrgId(request);
		if (null != map && null != map.get("openId")){
			return map.get("openId").toString();
		}

		return null;
	}

	public String getPersonId(HttpServletRequest request){

		Map map = JWTUtils.getUserIdAndOrgId(request);
		if (null != map && null != map.get("personId")){
			return map.get("personId").toString();
		}

		return null;
	}
	/**
	 * 获取orgId
	 * @param request
	 * @return
	 */
	public Integer getUserId(HttpServletRequest request){
		
		Map map = JWTUtils.getUserIdAndOrgId(request);
		if (null != map && null != map.get("userId")){
			return Integer.valueOf(map.get("userId").toString());
		}
		
		return null;
	}
}
