package com.huiju.estateagents.center.sysUser.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 令牌表 
 * </p>
 *
 * @author jobob
 * @since 2019-09-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysToken implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * token
     */
    @TableId(value = "token")
    private String token;

    /**
     * 过期时间
     */
    private LocalDateTime expDate;


}
