package com.huiju.estateagents.center.taUser.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.estateagents.center.taUser.entity.TaButtonUriMap;
import com.huiju.estateagents.center.taUser.mapper.TaButtonUriMapMapper;
import com.huiju.estateagents.center.taUser.service.ITaButtonUriMapService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 按钮路由映射表  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-09-26
 */
@Service
public class TaButtonUriMapServiceImpl extends ServiceImpl<TaButtonUriMapMapper, TaButtonUriMap> implements ITaButtonUriMapService {
	
	@Autowired
	private TaButtonUriMapMapper taButtonUriMapMapper;
	
	@Override
	public TaButtonUriMap getByURI(String uri) {
		return taButtonUriMapMapper.getByURI(uri);
	}
}
