package com.huiju.estateagents.config;


import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

@Data
@ConfigurationProperties(prefix = "sms")
public class SMSProperties {
    String url;
    String method;
    String contentType;
    Captcha captcha;
    Visitor visitor;

    @Data
    public static class Template {
        String code;
        String tel;
        String[] params;
    }

    @Data
    public static class Captcha {
        String code;
        Integer expire;
        Integer size;
        String sign;
    }

    @Data
    public static class Visitor {
        String code;
    }
}
