package com.huiju.estateagents.entity;

import java.time.LocalDateTime;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 组织参数配置表 
 * </p>
 *
 * @author jobob
 * @since 2019-08-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysOrgParams implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 参数ID
     */
    @TableId(value = "param_id", type = IdType.AUTO)
    private Integer paramId;

    /**
     * 参数名称
     */
    private String paramName;

    /**
     * 参数编码
     */
    private String paramCode;

    /**
     * 参数描述
     */
    private String paramDesc;

    /**
     * 参数值
     */
    private String paramValue;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;


}
