package com.huiju.estateagents.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 楼盘户型对应图片表
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaApartmentImg implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 户型id
     */
    @TableId(value = "apartment_id", type = IdType.UUID)
    private String apartmentId;

    /**
     * 图片id
     */
    private String imgId;

    /**
     * 状态
     */
    private Integer status;


}
