package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *  
 * </p>
 *
 * @author jobob
 * @since 2019-07-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaCheckin implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 签到id
     */
    @TableId(value = "checkin_id", type = IdType.AUTO)
    private Integer checkinId;

    /**
     * 签到人名称
     */
    private String name;

    /**
     * 签到人id
     */
    private String personId;

    /**
     * 签到时间
     */
    private LocalDateTime checkinTime;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 头像
     */
    private String avatar;

    /**
     * 活动id
     */
    private String activity;

    /**
     * 活动名称
     */
    private String activityName;

    /**
     * 公司Id
     */
    private Integer orgId;

}
