package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 小程序表 
 * </p>
 *
 * @author jobob
 * @since 2019-09-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaMiniapp implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 小程序ID
     */
    @TableId(value = "miniapp_id", type = IdType.INPUT)
    private String miniappId;

    /**
     * secret
     */
    private String secret;

    /**
     * token
     */
    private String token;

    /**
     * 小程序名称
     */
    private String name;

    /**
     * 二维码
     */
    private String qrCode;

    /**
     * 公司id
     */
    private Integer orgId;


    private String aesKey;

    @TableField(exist = false)
    private List<TaMiniappTemplate> tpls;
}
