package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 聊天记录表
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaMiniappQrcode implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 记录ID
     */
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 有效期至
     */
    private LocalDateTime expireDate;

    /**
     * 小程序ID
     */
    private String appid;

    /**
     * 二维码参数
     */
    private String qrParams;

    /**
     * 二维码地址
     */
    private String qrCode;

}
