package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *  
 * </p>
 *
 * @author jobob
 * @since 2019-10-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaSharePersonFrom implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 分享来源id
     */
    @TableId(value = "share_from_id", type = IdType.AUTO)
    private Integer shareFromId;

    /**
     * 分享人
     */
    private String sharePerson;

    /**
     * 分享人类型
     */
    private String sharePersonType;

    /**
     * 被分享人
     */
    private String personId;

    /**
     * 分享类型
     */
    private String targetType;

    /**
     * 目标id
     */
    private String targetId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;

    private Integer status;

    private Boolean isFirstTime;


}
