package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户访问表
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaUv implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 访问ID
     */
    @TableId(value = "uv_id", type = IdType.AUTO)
    private Integer uvId;

    /**
     * 访问人
     */
    private String personId;

    /**
     * 名称
     */
    private String nameOrnick;

    /**
     * 头像
     */
    private String photoOravatar;

    /**
     * 访问对象
     */
    private String beUv;

    /**
     * 对象类型
     */
    private String tagertType;

    /**
     * 访问时间
     */
    private LocalDateTime createDate;


}
