package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户来源字典 
 * </p>
 *
 * @author jobob
 * @since 2019-08-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdPersonFrom implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 来源ID
     */
    @TableId(value = "from_id", type = IdType.AUTO)
    private Integer fromId;

    /**
     * 来源编码
     */
    private String fromCode;

    /**
     * 来源名称
     */
    private String fromName;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;


}
