package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *  
 * </p>
 *
 * @author jobob
 * @since 2019-10-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("td_poster_template")
public class TdPosterTemplate implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "template_id",type = IdType.AUTO)
    private Integer templateId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 名称
     */
    private String title;

    /**
     * 预览图
     */
    private String img;

    /**
     * 变量列表 json  示例[{ label: "项目名称", key: "buildingName" },{ label: "价格", key: "price" }],
     */
    private String variables;

    /**
     * 配置项 json 示例[{ type: "text", variable: "buildingName" }, { type: "image", value: "http://xxx.jpg", x: 0, y:0, width: 100, height: 80 }]
     */
    private String configs;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 类型
     */
    private String type;


}
