package com.huiju.estateagents.entity;

import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 报表字典 
 * </p>
 *
 * @author jobob
 * @since 2019-08-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdReport implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 报表编码
     */
    private String reportCode;

    /**
     * 报表名称
     */
    private String reportName;

    /**
     * 关联项目
     */
    private Boolean isProject;

    /**
     * 备注
     */
    private String remark;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;


}
