package com.huiju.estateagents.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

/**
 * 经纪人
 */
@Data
public class AgentsRecommendCustomer {

    /**
     * 姓名
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "姓名", index = 0)
    private String nickname;

    /**
     * 电话
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "电话", index = 1)
    private String phone;

    /**
     * 性别
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "性别", index = 2)
    private String gender;

    /**
     * 类型
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "类型", index = 3)
    private String personType;

    /**
     * 所属渠道
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "所属渠道", index = 4)
    private String channelName;

    /**
     * 推荐客户(总数)
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "推荐客户(总数)", index = 5)
    private String recommedCount;

    /**
     * 邀请经纪人（数量）
     */
//    @ColumnWidth(15)
//    @ExcelProperty(value = "邀请经纪人（数量）", index = 6)
//    private String agentCount;

}
