package com.huiju.estateagents.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

import java.util.Date;

/**
 * 报备客户
 */
@Data
public class ReporRecommendCustomer {

    /**
     * 姓名
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "姓名", index = 0)
    private String name;

    /**
     * 电话
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "电话", index = 1)
    private String phone;

    /**
     * 性别
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "性别", index = 2)
    private String sex;

    /**
     * 意向项目
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "意向项目", index = 3)
    private String intentionName;

    /**
     * 置业顾问
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "置业顾问", index = 4)
    private String consultantName;

    /**
     * 置业顾问手机号
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "置业顾问手机号", index = 5)
    private String consultTel;

}
