package com.huiju.estateagents.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

import java.util.Date;

/**
 * @author admin
 * @Title: ShareChildRecordExport
 * @Description: TODO
 * @date 2019/10/22
 */

@Data
public class ShareChildRecordExport {

    /**
     * 创建时间 也是活动发起时间
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "活动时间", index = 2)
    @DateTimeFormat("yyyy年MM月dd日")
    private Date createTime;


    /**
     * 人员手机号
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "手机号", index = 1)
    private String phone;

    /**
     * 人员姓名
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "用户名", index = 0)
    private String nickName;

}