package com.huiju.estateagents.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

import java.util.Date;

/**
 * @author admin
 * @Title: ShareRecordFailExport
 * @Description: TODO
 * @date 2019/10/22
 */
@Data
public class ShareRecordFailExport {

    /**
     * 人员姓名
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "拼团者", index = 0)
    private String nickName;

    /**
     * 人员手机号
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "拼团者手机号", index = 1)
    private String phone;

    /**
     * 创建时间 也是助力发起时间
     */
    @ColumnWidth(15)
    @DateTimeFormat("yyyy年MM月dd日")
    @ExcelProperty(value = "拼团时间", index = 2)
    private Date createTime;

}
