package com.huiju.estateagents.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;
import java.io.Serializable;
import java.util.Date;

@Data
public class TaActivityDynamicEnlistExport implements Serializable {

    /**
     * 姓名
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "用户姓名", index = 0)
    private String name;

    /**
     * 手机号
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "手机号", index = 1)
    private String phone;

    /**
     * 参与人数
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "参与人数", index = 2)
    private Integer attendNum;

    /**
     * 报名时间
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "报名时间", index = 3)
    private Date createDate;

    /**
     * 推广人
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "推广人", index = 4)
    private String sharePersonName;

    /**
     * 公司
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "公司", index = 5)
    private String orgName;

    /**
     * 公司
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "签到状态", index = 6)
    private String isCheckin;



}
