package com.huiju.estateagents.mapper;

import com.huiju.estateagents.entity.TaBuildingImg;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 楼盘图片表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
@Mapper
public interface TaBuildingImgMapper extends BaseMapper<TaBuildingImg> {
    List<TaBuildingImg> getBuildingImgByApartment(@Param("id") String id);

    void delBuildingImgByApartment(@Param("id") String apartmentId);
}
