package com.huiju.estateagents.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huiju.estateagents.entity.TaBuildingIntention;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 项目意向表  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-08-07
 */
@Mapper
public interface TaBuildingIntentionMapper extends BaseMapper<TaBuildingIntention> {

    /**
     * 根据项目id删除意向值
     * @param buildingId
     * @return
     */
    @Delete("delete FROM ta_building_intention WHERE building_id = #{buildingId}")
    int deleteByBuildingId(@Param("buildingId") String buildingId);
}
