package com.huiju.estateagents.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huiju.estateagents.entity.TaDocumentVerify;
import com.huiju.estateagents.entity.TaDocumentVerifyModel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 资料审核  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-10-23
 */
@Mapper
public interface TaDocumentVerifyMapper extends BaseMapper<TaDocumentVerify> {

    IPage<TaDocumentVerify> getDocumentVerifyList (IPage<TaDocumentVerify> page, @Param("personId") String personId, @Param("orgId")Integer orgId);

    List<TaDocumentVerifyModel> getAdminDocumentList(Page page, @Param("name") String name, @Param("tel") String tel, @Param("orgId")Integer orgId, @Param("startDate")LocalDateTime startDate, @Param("endDate")LocalDateTime endDate);

}
