package com.huiju.estateagents.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huiju.estateagents.entity.TaRole;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 角色表 角色表，每个org的角色可以单独设置。但是都共有一个admin角色。这个角色在创建用户的时候创建好了 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-09-11
 */
@Mapper
public interface TaRoleMapper extends BaseMapper<TaRole> {

    List<TaRole> getRolesByUser(@Param("user") Integer userId);

    /**
     * 根据按钮ID查询出所有角色
     * @param btnId
     * @return
     */
    List<TaRole> getRolesByBtnId(@Param("btnId") Integer btnId);
}
