package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaDocumentVerify;
import com.huiju.estateagents.entity.TaDocumentVerifyModel;

import java.time.LocalDateTime;

/**
 * <p>
 * 资料审核  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-10-23
 */
public interface ITaDocumentVerifyService extends IService<TaDocumentVerify> {

    IPage<TaDocumentVerify> getDocumentVerifyList (Integer pageNum,Integer pageSize,String personId,Integer orgId);
    
    ResponseBean getAdminDocumentList(Integer pageNum, Integer pageSize, String name, String tel, Integer orgId, LocalDateTime startDate, LocalDateTime endDate);

}
