package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.entity.TaRole;

import java.util.List;

/**
 * <p>
 * 角色表 角色表，每个org的角色可以单独设置。但是都共有一个admin角色。这个角色在创建用户的时候创建好了 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-09-11
 */
public interface ITaRoleService extends IService<TaRole> {
    List<TaRole> getRolesByUser(Integer userId);

    /**
     * 查询当前角色的所有信息
     * @param id
     * @return
     */
    TaRole taRoleDetails(Integer id,Integer orgId);
}
