package com.huiju.estateagents.statistic.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 跟进记录表 小程序盘客工具我的客户跟进记录信息
 * </p>
 *
 * @author jobob
 * @since 2019-11-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaCustomerFollowUpRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "follow_up_record_id", type = IdType.AUTO)
    private Integer followUpRecordId;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 客户ID
     */
    private String customerId;

    /**
     * 记录类型
     */
    private String recordType;

    /**
     * 记录内容
     */
    private String recordContent;
    
    /**
     * 跟进人ID
     */
    private String followerId;
    
    /**
     * 客户性别
     */
    private Integer customerSex;
}
