package com.huiju.estateagents.statistic.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.statistic.entity.TsCustomerGenderStatistic;

import java.time.LocalDateTime;

/**
 * <p>
 * 客户分析性别统计表 小程序盘客工具客户分析 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-11-08
 */
public interface ITsCustomerGenderStatisticService extends IService<TsCustomerGenderStatistic> {
	
	/**
	 * 每天的新增客户性别统计
	 *
	 * @param nowDate
	 */
	void newCustomerSexStatisticDaily(LocalDateTime nowDate);
	
	/**
	 * 每天的跟进客户性别统计
	 *
	 * @param nowDate
	 */
	void followUpSexStatisticDaily(LocalDateTime nowDate);
	
	/**
	 * 每天的到访客户性别统计
	 *
	 * @param nowDate
	 */
	void visiteSexStatisticDaily(LocalDateTime nowDate);
}
